import { LitElement } from 'lit';
import { OnConfig, OnVariable, Properties } from './types/components.base.types';
export declare abstract class ComponentBase<Props extends Properties> extends LitElement implements OnVariable<Props['var']>, OnConfig<Props['set'], Props['fix']> {
    /**
     * FAQ
     *  Caution!!
     *  should not updated state outside component then pass that state to inside component
     *  example: single calendar has wrong value
     */
    var: Props['var'];
    set: Props['set'];
    query?: string;
    config: Props['set'];
    styles: Props['var'];
    make: (styles: Props['make']) => void;
    fixConfig?: Props['fix'];
    fix: () => Props['fix'];
    willUpdate(changedProperties: Map<PropertyKey, unknown>): void;
    cacheConfig(set: Props['set']): void;
    exec(): void;
    setHostVariables(initialVar?: string): void;
    cacheVariables(vars: Props['var']): void;
    setVar(): void;
    getCssText(): string;
    setCustomEvent<T>(event: string, data: T): void;
    disconnectedCallback(): void;
}
export declare class QueryRef {
    static ref: Map<string, HTMLElement>;
    static get<T>(queryId: string): T;
    static set(queryId: string, element: HTMLElement, safeToken: symbol): void;
    static delete(queryId: string, safeToken: symbol): void;
    static has(queryId: string): boolean;
}
