import ButtonColorsFactory from './button-colors.factory';
import ButtonSizeFactory from './button-sizes.factory';
export default class ButtonFactory {
    static getCSSVariables(config) {
        return {
            ...ButtonFactory.getColor(config),
            ...ButtonFactory.getSize(config),
        };
    }
    static getColor(config) {
        return ButtonColorsFactory.getColorsByType(config?.type, config?.color);
    }
    static getSize(config) {
        return ButtonSizeFactory.getSize(config?.size);
    }
}
//# sourceMappingURL=button.factory.js.map