export class VisibleObserver {
    constructor(box, value) {
        this.box = box;
        this.value = value;
    }
    init() {
        if (this.value === 'open' && !this.observer) {
            this.observer = new IntersectionObserver((entries) => {
                entries.forEach(async (entry) => {
                    if (entry.isIntersecting) {
                        this.box.isVisible = true;
                    }
                    else {
                        this.box.isVisible = false;
                    }
                    this.box.visibleEntry = entry;
                    this.setCustomEvent();
                });
            });
            this.observer.observe(this.box);
        }
        else if (this.value === 'closed' && this.observer) {
            this.observer.disconnect();
        }
    }
    setCustomEvent() {
        this.box.dispatchEvent(new CustomEvent('visible', {
            detail: {
                isVisible: this.box.isVisible,
                visibleEntry: this.box.visibleEntry,
            },
        }));
    }
}
//# sourceMappingURL=VisibleObserver.js.map