export class UIScopedStyles {
    static setStylesheet() {
        if (!UIScopedStyles.tag) {
            UIScopedStyles.tag = document.createElement('style');
            UIScopedStyles.tag.id = 'scoped-style';
            document.head.appendChild(UIScopedStyles.tag);
            const stylesheets = document.styleSheets;
            for (const sheet in stylesheets) {
                if (stylesheets[sheet].ownerNode?.id === 'scoped-style') {
                    UIScopedStyles.sheet = stylesheets[sheet];
                    break;
                }
            }
        }
    }
    static setSelectorText(type, attr, counter, uiName, state) {
        switch (type) {
            case 'style':
                return `c-box[_${attr}~="${uiName}"][c${counter}]`;
            case 'state':
                return `c-box[_${attr}~="${uiName}"]:${state}[c${counter}]`;
            case 'prop':
                return `c-box[${attr}][c${counter}]`;
        }
    }
}
UIScopedStyles.counter = 0;
//# sourceMappingURL=UIScoped.js.map