/// <reference types="react" />
import { AttributeChangedType } from './types/attribute-changed.types';
import { CBoxName } from './types/c-box.name';
import { CBoxTypes } from './types/c-box.types';
export declare class Box extends HTMLElement {
    static get observedAttributes(): readonly ["popover-close-button", "icon-prefix", "icon-suffix", "icon-prefix-active", "icon-suffix-active", "icon-prefix-focus", "icon-suffix-focus", "icon-prefix-focus-within", "icon-suffix-focus-within", "icon-prefix-focus-visible", "icon-suffix-focus-visible", "icon-prefix-hover", "icon-suffix-hover", "icon-prefix-target", "icon-suffix-target", "icon-prefix-toggle", "icon-suffix-toggle", "p", "px", "py", "pt", "pb", "pl", "pr", "m", "mx", "my", "mt", "mb", "ml", "mr", "w", "min-w", "max-w", "h", "min-h", "max-h", "bg", "tx", "shadow", "opacity", "row-gap", "col-gap", "position", "left", "top", "right", "bottom", "z-index", "display", "visibility", "user-select", "whitespace", "cursor", "transition", "tx-overflow", "tx-transform", "tx", "border", "border-left", "border-right", "border-top", "border-bottom", "round", "outline", "flex-direction", "flex-grow", "flex-shrink", "flex-wrap", "flex-basis", "order", "overflow", "overflow-x", "overflow-y", "overflow-y", "visible", "ui", "ui-active", "ui-focus", "ui-focus-visible", "ui-focus-within", "ui-hover", "ui-target", "ui-toggle"];
    attributeChangedCallback(attr: AttributeChangedType, oldValue: string, newValue: string): Promise<void>;
}
declare global {
    namespace CBox {
        type Ref = Box;
    }
    namespace JSX {
        interface IntrinsicElements {
            [CBoxName]: React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement> | CBoxTypes;
        }
    }
    interface HTMLElementTagNameMap {
        [CBoxName]: CBox.Ref;
    }
}
