export const padding = ['p', 'px', 'py', 'pt', 'pb', 'pl', 'pr'];
export const observer = ['visible'];
export const margin = ['m', 'mx', 'my', 'mt', 'mb', 'ml', 'mr'];
export const widthHeight = ['w', 'min-w', 'max-w', 'h', 'min-h', 'max-h'];
export const position = ['position', 'left', 'top', 'right', 'bottom', 'z-index'];
export const display = [
    'display',
    'visibility',
    'user-select',
    'whitespace',
    'cursor',
    'transition',
];
export const flex = [
    'flex-direction',
    'flex-grow',
    'flex-shrink',
    'flex-wrap',
    'flex-basis',
    'order',
];
export const text = ['tx-overflow', 'tx-transform', 'tx'];
export const overflow = ['overflow', 'overflow-x', 'overflow-y', 'overflow-y'];
export const border = [
    'border',
    'border-left',
    'border-right',
    'border-top',
    'border-bottom',
    'round',
    'outline',
];
export const gap = ['row-gap', 'col-gap'];
export const color = ['bg', 'tx', 'shadow', 'opacity'];
export const utilsAttributes = [
    ...padding,
    ...margin,
    ...widthHeight,
    ...color,
    ...gap,
    ...position,
    ...display,
    ...text,
    ...border,
    ...flex,
    ...overflow,
    ...observer,
];
export const CBoxPopoverAttributes = ['popover-close-button'];
export const CBoxIconAttributes = [
    'icon-prefix',
    'icon-suffix',
    'icon-prefix-active',
    'icon-suffix-active',
    'icon-prefix-focus',
    'icon-suffix-focus',
    'icon-prefix-focus-within',
    'icon-suffix-focus-within',
    'icon-prefix-focus-visible',
    'icon-suffix-focus-visible',
    'icon-prefix-hover',
    'icon-suffix-hover',
    'icon-prefix-target',
    'icon-suffix-target',
    'icon-prefix-toggle',
    'icon-suffix-toggle',
];
export const uiStylingAttributes = [
    'ui',
    'ui-active',
    'ui-focus',
    'ui-focus-visible',
    'ui-focus-within',
    'ui-hover',
    'ui-target',
    'ui-toggle',
];
export const uiStates = [
    'active',
    'focus',
    'focus-within',
    'focus-visible',
    'hover',
    'target',
];
export const attributeChanged = [
    ...CBoxPopoverAttributes,
    ...CBoxIconAttributes,
    ...utilsAttributes,
    ...uiStylingAttributes,
];
// to fix
// const abbrStyleMapper = new Map([
//   ['h', 'height'],
//   ['w', 'width'],
// ]);
//# sourceMappingURL=attribute-changed.types.js.map