import { colorMap, IconAttributes, sizeMap, } from '../types/icon.types';
class IconBuilder {
    constructor() {
        this.icon = new IconAttributes();
    }
    setColor(color) {
        this.icon.color = colorMap[color];
        return this;
    }
    setSize(size) {
        this.icon.size = sizeMap[size];
        return this;
    }
    build() {
        return this.icon;
    }
}
export class IconDirector {
    static construct(config) {
        return new IconBuilder().setColor(config?.color).setSize(config?.size).build();
    }
}
//# sourceMappingURL=icon.builder.js.map