import { iconSources } from './icon.src';
export type SizeValue = 'size-16' | 'size-20' | 'size-24';
export type ColorValue = 'primary-500' | 'white' | 'error-500' | 'gray-500';
export declare const colorMap: {
    readonly primary: "primary-500";
    readonly white: "white";
    readonly error: "error-500";
    readonly gray: "gray-500";
};
export declare const colorKeys: ("error" | "primary" | "white" | "gray")[];
export declare const sizeMap: {
    readonly small: "size-16";
    readonly medium: "size-20";
    readonly large: "size-24";
};
export declare const sizeKeys: ("small" | "medium" | "large")[];
export interface IconBuilderTypes {
    setSize(size: IconSizeTypes): this;
    setColor(color: IconColorTypes): this;
    build(): IconAttributes;
}
export declare class IconAttributes {
    size: SizeValue;
    color: ColorValue;
}
export declare const iconSides: readonly ["prefix", "suffix"];
export type IconSizeTypes = typeof sizeKeys[number];
export type IconColorTypes = typeof colorKeys[number];
export type IconSrcTypes = typeof iconSources[number];
