import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import { PopoverContent } from '../popover/types/popover.types';
import { SnackbarModalSlot } from '../snackbar/types/snackbar.types';
import { CxModalName } from './types/modal.name';
export declare class Modal extends ComponentBase<CXModal.Props> {
    config: CXModal.Set;
    static readonly MODAL_DISABLED = "disabled";
    private dialogState;
    private snackbarState;
    private dialogSlotRef;
    private snackbarSlotRef;
    private popoverSlotRef;
    static styles: import("lit").CSSResult;
    connectedCallback(): void;
    render(): TemplateResult;
    private createModalState;
    private createSharedCXModalRef;
    openDialog: (slotName: string) => Promise<import("../dialog/dialog").Dialog>;
    closeDialog: () => void;
    openSnackbar: (slot: SnackbarModalSlot) => void;
    openPopover: (popoverContent: PopoverContent, hostRect: DOMRect, popoverSet: CXPopover.Set, popoverRoot: HTMLElement, triggerEvent: Event) => void;
}
declare global {
    namespace CXModal {
        type Ref = Modal;
        type Var = unknown;
        type Set = {
            disabledBackdrop?: boolean;
        };
        type Fix = Required<{
            [K in keyof Set]: (value: Set[K]) => Fix;
        }> & {
            exec: () => Ref;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
        };
    }
    interface HTMLElementTagNameMap {
        [CxModalName]: CXModal.Ref;
    }
}
