import { ColorMap, ProgressAttributes, SizeMap, } from '../types/progress.types';
class ProgressBuilder {
    constructor() {
        this.progress = new ProgressAttributes();
    }
    setColor(color) {
        this.progress.color = ColorMap[color];
        return this;
    }
    setSize(size) {
        this.progress.size = SizeMap[size];
        return this;
    }
    build() {
        return this.progress;
    }
}
export class ProgressDirector {
    static construct(config) {
        return new ProgressBuilder().setColor(config?.color).setSize(config?.size).build();
    }
}
//# sourceMappingURL=progress.builder.js.map