import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import { ColorTypes } from '../../types/colors.type';
import '../icon/icon';
import { IconSrcTypes } from '../icon/types/icon.types';
import '../transition/transition';
import { WhenTypes } from '../transition/types/transition.types';
import { CxSnackbarName } from './types/snackbar.name';
import { SnackbarPositionType } from './types/snackbar.types';
export declare class Snackbar extends ComponentBase<CXSnackbar.Props> {
    config: CXSnackbar.Set;
    static styles: import("lit").CSSResult;
    connectedCallback(): void;
    private transitionRef;
    render(): TemplateResult | undefined;
    private createSharedCxSnackbarRef;
    private renderIcon;
    private setSlotName;
    setSnackbarAppear(): void;
    executeTransition(when: WhenTypes): void;
}
declare global {
    namespace CXSnackbar {
        type Ref = Snackbar;
        type Var = {
            backgroundColor: ColorTypes;
            textColor: ColorTypes;
        };
        type Set = {
            text: string;
            iconSrc?: IconSrcTypes;
            duration?: number;
            color?: 'primary' | 'secondary';
            transition?: CXTransition.Set;
            position?: SnackbarPositionType;
        };
        type Fix = Required<{
            [K in keyof Set]: (value: Set[K]) => Fix;
        }> & {
            exec: () => void;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
        };
    }
    interface HTMLElementTagNameMap {
        [CxSnackbarName]: CXSnackbar.Ref;
    }
}
