import { ColorMap, SizeMap, SpinnerAttributes, } from '../types/spinner.types';
class SpinnerBuilder {
    constructor() {
        this.spinner = new SpinnerAttributes();
    }
    setColor(color) {
        this.spinner.color = ColorMap[color];
        return this;
    }
    setSize(size) {
        this.spinner.size = SizeMap[size];
        return this;
    }
    build() {
        return this.spinner;
    }
}
export class SpinnerDirector {
    static construct(config) {
        return new SpinnerBuilder().setColor(config?.color).setSize(config?.size).build();
    }
}
//# sourceMappingURL=spinner.builder.js.map