import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import { ColorTypes } from '../../types/colors.type';
import { SizeTypes } from '../../types/sizes.type';
import { CxSpinnerName } from './types/spinner.name';
import { ColorKeyTypes, SizeKeyTypes } from './types/spinner.types';
export declare class Spinner extends ComponentBase<CXSpinner.Props> {
    config: CXSpinner.Set;
    static styles: import("lit").CSSResult;
    connectedCallback(): void;
    render(): TemplateResult;
    updated(changedProperties: Map<PropertyKey, unknown>): void;
}
declare global {
    namespace CXSpinner {
        type Ref = Spinner;
        type Var = {
            width?: SizeTypes;
            height?: SizeTypes;
            color?: ColorTypes;
        };
        type Set = {
            size?: SizeKeyTypes;
            color?: ColorKeyTypes;
        };
        type Fix = {
            [K in keyof Set]: (value: Set[K]) => Fix;
        } & {
            exec: () => Ref;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
        };
    }
    interface HTMLElementTagNameMap {
        [CxSpinnerName]: CXSpinner.Ref;
    }
}
