export declare class SpinnerAttributes {
    size: SizeTypes;
    color: ColorValueTypes;
}
export declare const SizeMap: {
    readonly small: {
        readonly width: "size-24";
        readonly height: "size-24";
        readonly borderWidth: "size-4";
    };
    readonly medium: {
        readonly width: "size-28";
        readonly height: "size-28";
        readonly borderWidth: "size-4";
    };
    readonly large: {
        readonly width: "size-32";
        readonly height: "size-32";
        readonly borderWidth: "size-4";
    };
};
export type SizeTypes = typeof SizeMap['small'] | typeof SizeMap['medium'] | typeof SizeMap['large'];
export declare const ColorMap: {
    readonly primary: "primary-500";
    readonly white: "white";
    readonly error: "error-500";
    readonly gray: "gray-500";
};
export declare const ColorKey: ("error" | "primary" | "white" | "gray")[];
export declare const SizeKey: ("small" | "medium" | "large")[];
export declare const colorValueKey: ("white" | "gray-500" | "primary-500" | "error-500")[];
export type ColorValueTypes = typeof colorValueKey[number];
export type ColorKeyTypes = typeof ColorKey[number];
export type SizeKeyTypes = typeof SizeKey[number];
export interface SpinnerBuilderTypes {
    setSize(size: SizeKeyTypes): this;
    setColor(color: ColorKeyTypes): this;
    build(): SpinnerAttributes;
}
