import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import { CxThemeName } from './types/theme.name';
import { ThemeColorTypes, ThemeSizeTypes } from './types/theme.types';
export declare class Theme extends ComponentBase<CXTheme.Props> {
    config: CXTheme.Set;
    static styles: import("lit").CSSResult[];
    connectedCallback(): void;
    render(): TemplateResult;
    createSharedCxThemeRef(): void;
    willUpdate(changedProperties: Map<PropertyKey, unknown>): void;
    updated(changedProperties: Map<PropertyKey, unknown>): void;
    private setThemeProps;
    private setTheme;
}
declare global {
    namespace CXTheme {
        type Ref = Theme;
        type Var = unknown;
        type Set = {
            color?: ThemeColorTypes;
            size?: ThemeSizeTypes;
        };
        type Fix = {
            [K in keyof Set]: (value: Set[K]) => Fix;
        } & {
            exec: () => void;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
        };
    }
    interface HTMLElementTagNameMap {
        [CxThemeName]: CXTheme.Ref;
    }
}
