import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import '../popover/popover';
import '../c-box/c-box';
import { CxTooltipName } from './types/tooltip.types';
export declare class Tooltip extends ComponentBase<CXTooltip.Props> {
    config: CXTooltip.Set;
    connectedCallback(): void;
    render(): TemplateResult;
    protected firstUpdated(): void;
    protected createRenderRoot(): Element | ShadowRoot;
}
declare global {
    namespace CXTooltip {
        type Ref = Tooltip;
        type Var = {
            backgroundColor?: string;
            textColor?: string;
            width?: string;
        };
        type Set = {
            text: string;
            position?: CXPopover.Set['position'];
            openBy?: CXPopover.Set['openby'];
            arrowPoint?: boolean;
            focusout?: CXPopover.Set['focusout'];
            mouseleave?: CXPopover.Set['mouseleave'];
            ellipsis?: boolean;
        };
        type Fix = Required<{
            [K in keyof Set]: (value: Set[K]) => Fix;
        }> & {
            exec: () => void;
        };
        type Props = {
            var: Var;
            set: Set;
            fix: Fix;
            make: Var;
        };
    }
    interface HTMLElementTagNameMap {
        [CxTooltipName]: CXTooltip.Ref;
    }
}
