var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { html } from 'lit';
import { customElement } from 'lit/decorators.js';
import { ComponentBase } from '../../base/component-base/component.base';
import '../popover/popover';
import '../c-box/c-box';
import { CxTooltipName } from './types/tooltip.types';
let Tooltip = class Tooltip extends ComponentBase {
    constructor() {
        super(...arguments);
        this.config = {
            text: 'Tooltip was created!',
            openBy: 'mouseover',
            position: 'bottom-center',
            arrowPoint: false,
            focusout: 'close',
            mouseleave: 'close',
        };
    }
    connectedCallback() {
        super.connectedCallback();
        if (this.set)
            this.cacheConfig(this.set);
        if (this.config)
            this.exec();
    }
    render() {
        return html `<cx-popover
      .set="${{
            focusout: this.set.focusout,
            mouseleave: this.set.mouseleave,
            arrowpoint: this.set.arrowPoint,
            openby: this.set.openBy,
            position: this.set.position,
        }}">
      <c-box slot="host" inline-flex></c-box>
      <c-box slot="popover" tooltip>
        <c-box
          content
          tx-white
          style="background-color:${this.var?.backgroundColor || 'var(--bluestate-700)!important'}">
          <c-box style="color:${this.var?.textColor || 'white'}"> ${this.set.text} </c-box>
        </c-box>
      </c-box>
    </cx-popover>`;
    }
    firstUpdated() {
        const content = this.firstElementChild;
        const host = this.querySelector("c-box[slot='host']");
        host?.appendChild(content);
    }
    createRenderRoot() {
        return this;
    }
};
Tooltip = __decorate([
    customElement(CxTooltipName)
], Tooltip);
export { Tooltip };
//# sourceMappingURL=tooltip.js.map