import { StylesBasedTime } from '../types/transition.types';
import { Duration } from './factory/duration';
import { Fade } from './factory/fade';
import { TransitionFactory } from './factory/transition.factory';
export class TransitionBuilder {
    constructor(detail) {
        this.detail = detail;
        this.transitionCssText = new StylesBasedTime();
        this.durationCssText = new StylesBasedTime();
        this.fadeCssText = new StylesBasedTime();
    }
    setTransition() {
        this.transitionCssText[this.detail.when] = new TransitionFactory(this.detail).getTransitionCssText();
        return this;
    }
    setFade() {
        if (!this.detail.fade)
            return this;
        this.fadeCssText[this.detail.when] = new Fade(this.detail).getCssText();
        return this;
    }
    setDuration() {
        this.durationCssText[this.detail.when] = new Duration(this.detail).getCssText();
        return this;
    }
    minimize() {
        const stylesText = `${this.transitionCssText[this.detail.when]}${this.durationCssText[this.detail.when] || ''}${this.fadeCssText?.[this.detail.when] || ''}`;
        return stylesText.replace(/\s|\\n/g, '');
    }
}
//# sourceMappingURL=transition.builder.js.map