import { TemplateResult } from 'lit';
import { ComponentBase } from '../../base/component-base/component.base';
import { CxTransitionName } from './types/transition.name';
import { TransitionAttributes, WhenTypes } from './types/transition.types';
export declare class Transition extends ComponentBase<CXTransition.Props> {
    config: CXTransition.Set;
    static styles: import("lit").CSSResult;
    connectedCallback(): void;
    private transitionRef;
    private stylesRef;
    private transitionCssText;
    private FADE;
    render(): TemplateResult;
    willUpdate(changedProperties: Map<PropertyKey, unknown>): void;
    private shouldForward;
    setTransition(when: WhenTypes): void;
    private clearTransition;
    private removeTransitionCssText;
    private clearFadeClassAfterTransitionDone;
    private addFade;
    private setDuration;
    private clearDuration;
    private timeoutWhenStart;
    private clearTransitionWhenCompleted;
    private setTransitionCSSText;
    private toggleTransition;
}
declare global {
    namespace CXTransition {
        type Ref = Transition;
        type Var = unknown;
        type Set = {
            start?: TransitionAttributes;
            end?: TransitionAttributes;
            fade?: boolean;
        };
        type Fix = {
            [K in keyof Set]: (value: Set[K]) => Fix;
        } & {
            exec: () => Ref;
        };
        type Props = {
            var: Pick<Var, never>;
            set: Set;
            fix: Fix;
        };
    }
    interface HTMLElementTagNameMap {
        [CxTransitionName]: CXTransition.Ref;
    }
}
