import { SnackbarSingleton } from '../../../components/snackbar/singleton/snackbar.singleton';
import { ModalSingleton } from '../../../components/modal/singleton/modal.singleton';
import { snackbarModalSlot } from '../../../components/snackbar/types/snackbar.types';
export class SnackbarCaller {
    constructor(config) {
        this.config = config;
    }
    open() {
        SnackbarSingleton.ref.setSnackbarAppear();
        SnackbarSingleton.ref
            .fix()
            .position(this.config.position)
            .text(this.config.text)
            .duration(this.config?.duration || SnackbarSingleton.ref.set.duration)
            .color(this.config?.color || SnackbarSingleton.ref.set.color)
            .iconSrc(this.config?.iconSrc || SnackbarSingleton.ref.set.iconSrc)
            .exec();
        ModalSingleton.modalRef.openSnackbar(snackbarModalSlot);
    }
}
//# sourceMappingURL=snackbar.caller.js.map